sc::StateInFile(3)

NAME
sc::StateInFile -

Reads state information from a file.

SYNOPSIS

#include <state_file.h>

Inherits sc::StateIn.

Inherited by sc::StateInBin, and sc::StateInText.

  Public Member Functions
StateInFile ()
State information will be obtained from cin.
StateInFile (std::istream &s)
State information will be obtained from fp.
StateInFile (const char *name)
State information will be obtained from name.
virtual int open (const char *name)
State information will be obtained from name.
virtual void close ()
Close the output file.

  Protected Attributes
int opened_
std::streambuf * buf_

  Additional Inherited Members

Detailed Description

Reads state information from a file.

Author

Generated automatically by Doxygen for MPQC from the source code.